Bug 1928943 (CVE-2021-20245) - CVE-2021-20245 ImageMagick: Division by zero in WriteAnimatedWEBPImage() in coders/webp.c
Summary: CVE-2021-20245 ImageMagick: Division by zero in WriteAnimatedWEBPImage() in c...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2021-20245
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1929889 1929890
Blocks: 1928960 1928961
TreeView+ depends on / blocked
 
Reported: 2021-02-15 20:30 UTC by Pedro Sampaio
Modified: 2021-02-18 19:02 UTC (History)
4 users (show)

Fixed In Version: ImageMagick 6.9.11-62, ImageMagick 7.0.10-62
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in ImageMagick in coders/webp.c. An attacker who submits a crafted file that is processed by ImageMagick could trigger undefined behavior in the form of math division by zero. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2021-02-18 19:02:59 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2021-02-15 20:30:52 UTC
A flaw was found in ImageMagick in coders/webp.c. An attacker who
submits a crafted file that is processed by ImageMagick could trigger
undefined behavior in the form of math division by zero. This would
most likely lead to an impact to application availability, but could
potentially cause other problems related to undefined behavior. This
flaw affects ImageMagick versions prior to 7.0.10-62.

Upstream issue:

https://github.com/ImageMagick/ImageMagick/issues/3176

Comment 1 RaTasha Tillery-Smith 2021-02-16 14:42:04 UTC
External References:

https://github.com/ImageMagick/ImageMagick/issues/3176

Comment 2 Todd Cullum 2021-02-17 20:34:26 UTC
Created ImageMagick tracking bugs for this issue:

Affects: epel-8 [bug 1929889]
Affects: fedora-all [bug 1929890]

Comment 3 Todd Cullum 2021-02-17 20:40:13 UTC
Flaw summary:

When image->ticks_per_second is set to 0 in WriteAnimatedWEBPImage() of ImageMagick/coders/webp.c, a division by zero could occur, causing an impact to application availability if an attacker is able to submit a crafted input image file to be processed by ImageMagick. This is because  image->ticks_per_second is acquired from the image file. The patch addresses the issue by using the PerceptibleReciprocal() function instead of division.

Comment 5 Todd Cullum 2021-02-17 20:41:28 UTC
Statement:

This flaw is out of support scope for Red Hat Enterprise Linux 6 and 7. To learn more about Red Hat Enterprise Linux support scope, please see https://access.redhat.com/support/policy/updates/errata/ .

Comment 6 Product Security DevOps Team 2021-02-18 19:02:59 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-20245


Note You need to log in before you can comment on or make changes to this bug.